%define shortname qalculate

Name: qalculate-kde
Version: 0.9.6
Release: alt1

Summary: A very versatile desktop calculator - KDE version.
Group: Office
License: GPL
Url: http://qalculate.sourceforge.net
Packager: Alexey Morsov <swi@altlinux.ru>
Requires: %shortname-common

Source: %name-%version.tar.bz2

BuildRequires: fontconfig freetype2 gcc-c++ glib2-devel kde-settings kdelibs-devel libarts-devel libcln-devel libgmp-devel libjpeg-devel libpng-devel 
BuildRequires: libqalculate-devel = %version
BuildRequires: libqt3-devel libqt3-settings libstdc++-devel libxml2-devel xml-utils zlib-devel

%description
Qalculate! is a modern multi-purpose desktop calculator for GNU/Linux. It is
small and simple to use but with much power and versatility underneath.
Features include customizable functions, units, arbitrary precision, plotting,
and a graphical interface (GTK+) that uses a one-line fault-tolerant
expression entry (although it supports optional traditional buttons).
This package contains KDE version.

%prep
%setup

%build 
%__subst "s/\(Wl,--no-undefined\)/ -Wl,--allow-shlib-undefined \1/g" admin/acinclude.m4.in
%__subst "s/\-lkdeui/-lkdeui -lpthread/g" admin/acinclude.m4.in
#__subst "s/\.la/.so/g" admin/acinclude.m4.in
%make -f admin/Makefile.common cvs ||:

%configure --disable-rpath

%__subst 's|^\(hardcode_into_libs\)=.*$|\1=no|' libtool

%make_build

%install
%make_install DESTDIR=%buildroot install

%__rm -f %buildroot%_bindir/qalculate
%__rm -rf %buildroot%_datadir/locale

%find_lang --with-kde %shortname

%files -f %shortname.lang
%_bindir/%name
%_datadir/applications/kde/*
%_datadir/apps/qalculate_kde/
%_iconsdir/*/*/*/*
%_datadir/doc/HTML/en/qalculate_kde/

%changelog
* Mon Jun 18 2007 Alexey Morsov <swi@altlinux.ru> 0.9.6-alt1
- version 0.9.6

* Tue Dec 19 2006 Alexey Morsov <swi@altlinux.ru> 0.9.5-alt1
- 0.9.5 release.
- fix spec for files (menu)

* Sat Jan 21 2006 Pavlov Konstantin <thresh@altlinux.ru> 0.9.2-alt1
- 0.9.2 release.

* Mon Dec 19 2005 Pavlov Konstantin <thresh@altlinux.ru> 0.9.0-alt1
- 0.9.0 release. 

* Fri Oct 07 2005 Pavlov Konstantin <thresh@altlinux.ru> 0.8.1.1-alt2
- Fixed wrong requires.

* Mon Sep 19 2005 Pavlov Konstantin <thresh@altlinux.ru> 0.8.1.1-alt1
- First build for Sisyphus.

